# Uses of Interface
org.opensaml.saml.saml2.core.AttributeQuery

Packages that use AttributeQuery
Package
Description
org.opensaml.saml.saml2.core.impl
Implementations of SAML 2.0 core specification types and elements.
org.opensaml.saml.saml2.testing

## Uses of AttributeQuery in org.opensaml.saml.saml2.core.impl

Classes in org.opensaml.saml.saml2.core.impl that implement AttributeQuery
Modifier and Type
Class
Description
`class`
`AttributeQueryImpl`
Concrete implementation of `AttributeQuery`.
Methods in org.opensaml.saml.saml2.core.impl that return AttributeQuery
Modifier and Type
Method
Description
`AttributeQuery`
AttributeQueryBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`AttributeQuery`
AttributeQueryBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.

## Uses of AttributeQuery in org.opensaml.saml.saml2.testing

Methods in org.opensaml.saml.saml2.testing that return AttributeQuery
Modifier and Type
Method
Description
`static AttributeQuery`
SAML2ActionTestingSupport.`buildAttributeQueryRequest(Subject subject)`
Builds an `AttributeQuery`.